# Class StyleParser.FontInfo

java.lang.Object
com.codename1.ui.plaf.StyleParser.FontInfo

Enclosing class:
  `StyleParser`

public static class StyleParser.FontInfo extends Object
Encapsulates the value of the font property in a style string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Font`
  `createFont(Style baseStyle)`
  Creates a font based on this font information.
  `String`
  `getFile()`
  Gets the font file name.
  `String`
  `getName()`
  Gets the name of the font.
  `Float`
  `getSize()`
  Gets the font size.
  `float`
  `getSizeInPixels(Style baseStyle)`
  Gets the size of the font in pixels.
  `byte`
  `getSizeUnit()`
  Gets the font size unit.
  `void`
  `setFile(String file)`
  Sets the font file name.
  `void`
  `setName(String name)`
  Sets the name of the font.
  `void`
  `setSize(Float size)`
  Sets the font size.
  `void`
  `setSizeUnit(byte sizeUnit)`
  Sets the font size unit.
  `String`
  `sizeString(String prefix)`
  Gets the font size as a style string.
  `String`
  `toString()`
  Returns the font in a format that can be used as the value of the font property of a style string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FontInfo

    public FontInfo()

- ## Method Details

  - ### toString

    public String toString()
    Returns the font in a format that can be used as the value of the font property of a style string.
    Overrides:
      `toString` in class `Object`

  - ### sizeString

    public String sizeString(String prefix)

    Gets the font size as a style string. E.g. 18mm, or 12px. If unit is inherit, this will just return an empty string.

    ###### Parameters

    - `prefix`: String to prefix to the size.

  - ### getSizeInPixels

    public float getSizeInPixels(Style baseStyle)

    Gets the size of the font in pixels.

    ###### Parameters

    - `baseStyle`: The base style to use in case the font size isn't specified in the style string.

  - ### getSize

    public Float getSize()

    Gets the font size.

    ###### Returns

    the size

    ###### See also

    - #getSizeUnit()

  - ### setSize

    public void setSize(Float size)

    Sets the font size.

    ###### Parameters

    - `size`: the size to set

    ###### See also

    - #setSizeUnit(byte)

  - ### getSizeUnit

    public byte getSizeUnit()

    Gets the font size unit. One of `Style#UNIT_TYPE_DIPS`, `Style#UNIT_TYPE_PIXELS`, or `#UNIT_INHERIT`.

    ###### Returns

    the sizeUnit

  - ### setSizeUnit

    public void setSizeUnit(byte sizeUnit)

    Sets the font size unit. One of `Style#UNIT_TYPE_DIPS`, `Style#UNIT_TYPE_PIXELS`, or `#UNIT_INHERIT`.

    ###### Parameters

    - `sizeUnit`: the sizeUnit to set

  - ### getName

    public String getName()

    Gets the name of the font.

    ###### Returns

    the name

  - ### setName

    public void setName(String name)

    Sets the name of the font.

    ###### Parameters

    - `name`: the name to set

  - ### getFile

    public String getFile()

    Gets the font file name. Should start with "/".

    ###### Returns

    the file

  - ### setFile

    public void setFile(String file)

    Sets the font file name. Should start with "/".

    ###### Parameters

    - `file`: the file to set

  - ### createFont

    public Font createFont(Style baseStyle)

    Creates a font based on this font information.

    ###### Parameters

    - `baseStyle`: The base style to use in cases where aspects of the font aren't explicitly specified in the style string.

    ###### Returns

    A font.